Bug 112836 - Missing semicolon causes a crash
Summary: Missing semicolon causes a crash
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-03 16:50 UTC by Ricardo Fernández Pascual
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 08:20:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The source that causes the crash (197.51 KB, application/gzip)
2004-01-03 17:25 UTC, Ricardo Fernández Pascual
no flags Details
With this patch there is no crash (335 bytes, text/plain)
2004-01-03 17:29 UTC, Ricardo Fernández Pascual
no flags Details
unpreprocessed test case (60.42 KB, application/octet-stream)
2004-10-04 08:18 UTC, Richard Henderson
no flags Details

Description Ricardo Fernández Pascual 2004-01-03 16:50:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031202 Galeon/1.3.11a

Description of problem:
"g++ -c -o Server_impl.o -Wall bug.cpp" crashes. Applying the
nobug.diff patch fixes the problem.

Version-Release number of selected component (if applicable):
gcc-c++-3.3.2-1

How reproducible:
Always

Steps to Reproduce:
compile bug.cpp

Actual Results:  crash

Expected Results:  an error report telling me to add a semicolon at
line 72621

Additional info:

Comment 1 Ricardo Fernández Pascual 2004-01-03 17:25:32 UTC
Created attachment 96750 [details]
The source that causes the crash

had to compress it to be able to send

Comment 2 Ricardo Fernández Pascual 2004-01-03 17:29:16 UTC
Created attachment 96751 [details]
With this patch there is no crash

Comment 3 Richard Henderson 2004-10-04 08:18:02 UTC
Created attachment 104708 [details]
unpreprocessed test case

Uninclude system headers so that I can try building with gcc 3.4.

Comment 4 Richard Henderson 2004-10-04 08:20:12 UTC
gcc 3.4 does not ICE and generates

z.cc:36383: error: new types may not be defined in a return type
z.cc:36383: error: return type specification for constructor invalid

which is indeed exactly where your semicolon belongs.


Note You need to log in before you can comment on or make changes to this bug.